Media API

The Media API can be used to query, download and delete media items such as audio files for use with other Nexmo APIs.

Descargar la especificación OpenAPI

List and search media items

Retrieve the metadata for multiple media items, with the ability to search and paginate.

gethttps://api.nexmo.com/v3/media/

Autenticación

Esta API admite tanto la autenticación JWT como la básica. La autenticación básica es más fácil para empezar, pero no admite funciones avanzadas como ACL.

Puede utilizar o bien la autenticación JWT o Basic, pero no ambas a la vez.

ClaveDescripciónDóndeEjemplo
Authorization

Su token web JSON.
Más información sobre los JWT

Headers

Bearer <JWT>
Authorization

Clave API codificada en Base64 y secreto unidos por dos puntos.
Seguir leyendo

Headers

Basic <base64>

Consulta Parámetros

order
string
Por defectodescending
ejemploascending

The order of search results.

Debe ser uno de:ascendingdescending
page_index
integer
ejemplo1

Which page to retrieve in pagination

page_size
integer
Por defecto20
ejemplo50

How many items at most per page

start_time
string
Por defecto1 week ago
ejemplo2020-01-01T14:00:00.000Z

Retrieve results created on or after this timestap.

end_time
string
ejemplo2020-01-01T14:00:00.000Z

Retrieve results created on or before this timestamp.

Respuestas
Tipo de contenido
application/json

Successfully retrieved

page_size
integer
ejemplo20

The amount of records returned in this response.

page_index
integer

The page_index used in your request.

_links
object
self
object
href
string
ejemplo/v3/media?page_size=20&account_id=abcd1234&order=descending
first
object
href
string
ejemplo/v3/media?page_size=20&account_id=abcd1234&order=descending
last
object
href
string
ejemplo/v3/media?page_size=20&account_id=abcd1234&order=descending
count
integer
ejemplo1

The total number of records returned by your request.

_embedded
object

A collection of media items. See retrieve a media item for a description of the returned fields

media
array
id
string
ejemploaaaaaaaa-bbbb-cccc-dddd-0123456789ab

A UUID representing the object.

original_file_name
string
ejemplotest.wav

The filename of the object as it was originally uploaded.

mime_type
string
ejemploaudio/vnd.wave

The IETF MIME type of the file.

account_id
string
ejemploabcd1234

The ID of your Nexmo account. This is the same as your API key.

store_id
string
ejemplos3

An internal identifier of how the file is stored.

max_downloads_allowed
integer

The maximum number of times the file may be downloaded.

times_downloaded
integer
ejemplo1

The number of times the file has been downloaded.

etag
string
ejemploaaaaaaaabbbbccccdddd0123456789ab

An identifier for the content. This will change if the content of the file has been changed (i.e. if you upload a new version of the file). For more information see Wikipedia: HTTP ETag

media_size
integer
ejemplo1234567

The size of the file in bytes

time_created
string
ejemplo2020-01-01T14:00:00.000Z

A timestamp for the time that the file was created

time_last_updated
string
ejemplo2020-01-01T14:00:00.000Z

A timestamp for the time that the file was last modified

public
boolean

Whether the item is available for download without authentication.

metadata_primary
string

A user set string containing metadata about the media file.

metadata_secondary
string

A user set string containing further metadata about the media file.

Ejemplo Respuesta

{
   "page_size": 20,
   "page_index": 0,
   "_links": {
      "self": {
         "href": "/v3/media?page_size=20&account_id=abcd1234&order=descending"
      },
      "first": {
         "href": "/v3/media?page_size=20&account_id=abcd1234&order=descending"
      },
      "last": {
         "href": "/v3/media?page_size=20&account_id=abcd1234&order=descending"
      }
   },
   "count": 1,
   "_embedded": {
      "media": [
         {
            "id": "aaaaaaaa-bbbb-cccc-dddd-0123456789ab",
            "original_file_name": "test.wav",
            "mime_type": "audio/vnd.wave",
            "account_id": "abcd1234",
            "store_id": "s3",
            "max_downloads_allowed": 0,
            "times_downloaded": 1,
            "etag": "aaaaaaaabbbbccccdddd0123456789ab",
            "media_size": 1234567,
            "time_created": "2020-01-01T14:00:00.000Z",
            "time_last_updated": "2020-01-01T14:00:00.000Z",
            "public": false,
            "metadata_primary": "string",
            "metadata_secondary": "string"
         }
      ]
   }
}

Retrieve a media item's metadata

Retrieve the metadata for a media item

gethttps://api.nexmo.com/v3/media/:id/info

Autenticación

Esta API admite tanto la autenticación JWT como la básica. La autenticación básica es más fácil para empezar, pero no admite funciones avanzadas como ACL.

Puede utilizar o bien la autenticación JWT o Basic, pero no ambas a la vez.

ClaveDescripciónDóndeEjemplo
Authorization

Su token web JSON.
Más información sobre los JWT

Headers

Bearer <JWT>
Authorization

Clave API codificada en Base64 y secreto unidos por dos puntos.
Seguir leyendo

Headers

Basic <base64>

Respuestas
Tipo de contenido
application/json

Successfully retrieved

id
string
ejemploaaaaaaaa-bbbb-cccc-dddd-0123456789ab

A UUID representing the object.

original_file_name
string
ejemplotest.wav

The filename of the object as it was originally uploaded.

mime_type
string
ejemploaudio/vnd.wave

The IETF MIME type of the file.

account_id
string
ejemploabcd1234

The ID of your Nexmo account. This is the same as your API key.

store_id
string
ejemplos3

An internal identifier of how the file is stored.

max_downloads_allowed
integer

The maximum number of times the file may be downloaded.

times_downloaded
integer
ejemplo1

The number of times the file has been downloaded.

etag
string
ejemploaaaaaaaabbbbccccdddd0123456789ab

An identifier for the content. This will change if the content of the file has been changed (i.e. if you upload a new version of the file). For more information see Wikipedia: HTTP ETag

media_size
integer
ejemplo1234567

The size of the file in bytes

time_created
string
ejemplo2020-01-01T14:00:00.000Z

A timestamp for the time that the file was created

time_last_updated
string
ejemplo2020-01-01T14:00:00.000Z

A timestamp for the time that the file was last modified

public
boolean

Whether the item is available for download without authentication.

metadata_primary
string

A user set string containing metadata about the media file.

metadata_secondary
string

A user set string containing further metadata about the media file.

Ejemplo Respuesta

{
   "id": "aaaaaaaa-bbbb-cccc-dddd-0123456789ab",
   "original_file_name": "test.wav",
   "mime_type": "audio/vnd.wave",
   "account_id": "abcd1234",
   "store_id": "s3",
   "max_downloads_allowed": 0,
   "times_downloaded": 1,
   "etag": "aaaaaaaabbbbccccdddd0123456789ab",
   "media_size": 1234567,
   "time_created": "2020-01-01T14:00:00.000Z",
   "time_last_updated": "2020-01-01T14:00:00.000Z",
   "public": false,
   "metadata_primary": "string",
   "metadata_secondary": "string"
}

Update a media item's metadata

Update the metadata of a previously created media item.

puthttps://api.nexmo.com/v3/media/:id/info

Autenticación

Esta API admite tanto la autenticación JWT como la básica. La autenticación básica es más fácil para empezar, pero no admite funciones avanzadas como ACL.

Puede utilizar o bien la autenticación JWT o Basic, pero no ambas a la vez.

ClaveDescripciónDóndeEjemplo
Authorization

Su token web JSON.
Más información sobre los JWT

Headers

Bearer <JWT>
Authorization

Clave API codificada en Base64 y secreto unidos por dos puntos.
Seguir leyendo

Headers

Basic <base64>

Cuerpo de la solicitud
Tipo de contenido
multipart/form-data

public
boolean
ejemplotrue

Whether the item is publicly available without authentication.

metadata_primary
string
ejemplofoo,bar

A string containing metadata about the media file.

metadata_secondary
string
ejemplo123

A string containing further metadata about the media file.

title
string
ejemploVery important recording

A string containing a title for the media file.

description
string
ejemploThis is a very important recording. Do not delete.

A description of the media file.

mime_type
string
ejemploaudio/vnd.wave

The MIME type of the media file.

max_downloads_allowed
integer
ejemplo100

The maximum number of times the file may be downloaded. Unlimited when not provided.

Ejemplo Solicitar

POST /v3/media/:id/info HTTP/1.1
Host: api.nexmo.com
Content-Type: application/x-www-form-urlencoded
Content-Length: 204

public=true&metadata_primary=foo,bar&metadata_secondary=123&title=Very+important+recording&description=This+is+a+very+important+recording.+Do+not+delete.&mime_type=audio/vnd.wave&max_downloads_allowed=100

Respuestas

Successfully updated

Retrieve a media item's content

Download the file associated with a media item

gethttps://api.nexmo.com/v3/media/:id

Autenticación

Esta API admite tanto la autenticación JWT como la básica. La autenticación básica es más fácil para empezar, pero no admite funciones avanzadas como ACL.

Puede utilizar o bien la autenticación JWT o Basic, pero no ambas a la vez.

ClaveDescripciónDóndeEjemplo
Authorization

Su token web JSON.
Más información sobre los JWT

Headers

Bearer <JWT>
Authorization

Clave API codificada en Base64 y secreto unidos por dos puntos.
Seguir leyendo

Headers

Basic <base64>

Respuestas
Tipo de contenido
*/*

Successfully retrieved
The Content-Type header will specify the MIME type of the response body

Ejemplo Respuesta

La vista previa de ejemplo no es compatible actualmente con el tipo de contenido: */*

Delete a media item

Delete a previously created media item by ID.

deletehttps://api.nexmo.com/v3/media/:id

Autenticación

Esta API admite tanto la autenticación JWT como la básica. La autenticación básica es más fácil para empezar, pero no admite funciones avanzadas como ACL.

Puede utilizar o bien la autenticación JWT o Basic, pero no ambas a la vez.

ClaveDescripciónDóndeEjemplo
Authorization

Su token web JSON.
Más información sobre los JWT

Headers

Bearer <JWT>
Authorization

Clave API codificada en Base64 y secreto unidos por dos puntos.
Seguir leyendo

Headers

Basic <base64>

Respuestas

Successfully deleted